#define _GNU_SOURCE

#include <stdio.h>
#include "observ_table.h"


int main(void)
{
	struct observ *obs, *obsp;

	obs = obsp = get_observ_table("ska_observ.dat");
	
	printf("#M StartFre StopFreq RBW  Swee R S\n");
	while( obsp->next != NULL){
		printf("%c %8.5f %8.5f %4d %4d %2d %c\n", 
		       obsp->type, obsp->start_freq, obsp->stop_freq,
		       obsp->RBW, obsp->sweep, obsp->repetitions, obsp->mode);
		obsp = obsp->next;
	}
	free_observ_table(obs);

	return 0;
}

